<?php

namespace DefStudio\GameEngine\Models\Contracts;

use Closure;

interface FitsInScope
{
    public function load_scopes(): void;

    public function traverse_parent_scopes(Closure $callback): void;

    public static function get_parent_scope_relationship(): string;

    public static function get_parent_scope_relationship_chain(): string;
}
